
<div class="marge">
    <div class="row col-md-3">
        <div class="panel panel-primary">
            <div class="panel-heading">Ajouter Medecin</div>
            <div class="panel-body">

                <form #f="ngForm" (ngSubmit)="ajoutermedecin(f.value)">
                <div class="form-group">
                    <label for="usr">Nom :</label>
                    <input type="text" name="nommedecin" class="form-control" ngModel>
                </div>
                <div class="form-group">
                    <label for="pwd">Prenom :</label>
                    <input type="text" name="prenommedecin" class="form-control" ngModel>
                </div>
                <div class="form-group">
                    <label for="usr">Adresse :</label>
                    <input type="text" name="adressemedecin" class="form-control" ngModel>
                </div>
                <div class="form-group">
                    <label for="pwd">Telephone :</label>
                    <input type="text" name="telmedecin" class="form-control" ngModel>
                </div>
                <div class="form-group">
                    <label for="usr">Date de Naissance:</label>
                    <input type="date" name="dateNaissmedecin" class="form-control" ngModel>
                </div>
                <div class="form-group">
                    <label for="sel1">Sexe :</label>
                    <select class="form-control" name="sexemedecin" ngModel>
                        <option>M</option>
                        <option>F</option>
                        <option>AUTRE</option>
                    </select>
                </div>
                <button type="submit" class="btn btn-primary col-md-12">Enregistrer</button>
            </form>
            </div>
            

        </div>
    </div>

    <div class="row col-md-9">
        <div class="panel panel-primary">
            <div class="panel-heading"></div>
            
            <div class="panel-body">  
                <h2 class="bg-primary col-sm-6">INFORMATION MEDECIN</h2>
                <div class="col-md-offset-10">
                    <img src="/assets/images/medecin.png" width="70 " class="img-circle" alt="Cinque Terre">
                </div> 
                <div>
                    <form #form="ngForm" (ngSubmit)="chercher(form.value)">
                        <div class="form-group col-sm-3">
                            <label style="color: red;"></label>
                            <input type="text" name="nommedecin" class="form-control" ngModel placeholder="Recherche">
                            <button class="btn btn-primary col-sm-12 glyphicon glyphicon-search" type="submit"></button>
                        </div>
                    </form>
                </div>

                <table class="table table-bordered" *ngIf="listemedecin">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>NOM</th>
                            <th>PRENOM</th>
                            <th>ADRESSE</th>
                            <th>TELEPHONE</th>
                            <th>DATE NAISSANCE</th>
                            <th>SEXE</th>


                        </tr>
                    </thead>
                    <tbody *ngFor="let medecin of listemedecin._embedded.medecins">
                        <tr>
                            <td>{{medecin.idmedecin}}</td>
                            <td>{{medecin.nommedecin}}</td>
                            <td> {{medecin.prenommedecin}}</td>
                            <td>{{medecin.adressemedecin}}</td>
                            <td>{{medecin.telmedecin}}</td>
                            <td>{{medecin.dateNaissmedecin | date: 'dd/MM/yyyy' }}</td>
                            <td>{{medecin.sexemedecin}}</td>
                            <td><button class="btn btn-danger"> <a (click)="onDelete(medecin)"
                                        class="glyphicon glyphicon-trash"></a> </button></td>
                            <td><button class="btn btn-warning"> <a (click)="onUpdate(medecin)" class="glyphicon glyphicon-pencil"></a> </button>
                            </td>
                        </tr>

                    </tbody>
                </table>
                <ul *ngIf="pages" class="nav nav-pills">
                    <li [ngClass]="i==pagecourant?'active':''" *ngFor="let p  of pages; let i=index">
                        <a (click)="pageMedecin(i)">{{i}}</a>
                    </li>
                </ul>
            </div>
        </div>

    </div>


</div>